#### D.15.31.5 Tropicalcover

Procedure from library `tropicalEllipticCovers.lib` (see tropicalEllipticCovers_lib).

Usage:
  Tropicalcover(G,aa,O,t[, l]); G graph, aa list, O list, t int, l list

Assume:
  G is a Feynman graph, aa is a partition of the degree of the graph G, O is a given ordering of the vertices of G, t is an integer and l is a list of leaks of G.

Return:
  list of matrices.

Theory:
  For a given ordering of the vertices of G, this function computes a list of matrices such that each matrix in the list represents a cover of the elliptic curve E. The first column of each matrix shows how many points on each edge of the cover (of type G) has a preimage of the base point p_0. The rows of the matrix represents an edge of the cover and each non-zero entry in a row represents a vertex connected to that edge.
  (For t=0, we get the results for simply ramified covers [BBM]. t=1, 2 we get results for graphs w/o vertex contributions respectively w/ vertex contributions as in [BGM1], and for t=3 we get the results for pearl chains as in [BGM2])

Example:

    LIB "tropicalEllipticCovers.lib";
    ring r=0, (x1,x2,x3,x4),dp;
    graph G=makeGraph(list(1,2,3,4),list(list(1,3),list(1,2),list(1,2),list(2,4),list(3,4),list(3,4)));
    Tropicalcover(G,list(0,2,1,0,0,1), list(x2,x4,x3,x1),0);

User manual for Singular version 4.4.1, 2025, generated by texi2html.